YourWBB


yourWBB » WoltLab Burning Board Generation 2 * » Tutorials WBB2 + WBB Lite1 » [WBB 2] WBB2 oder Lite1 installieren in 2017 » Hallo Gast [Anmelden|Registrieren]
Letzter Beitrag | Erster ungelesener Beitrag 1.230 Views | | Thema zu Favoriten hinzufügen

Neues Thema erstellen Antwort erstellen

Zum Ende der Seite springen WBB2 oder Lite1 installieren in 2017
Autor
Beitrag « Vorheriges Thema | Nächstes Thema »
S!equenz
Last Man Standing


Dabei seit: 10.07.12
Beiträge: 641
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

 WBB2 oder Lite1 installieren in 2017 Antworten Zitieren Editieren Melden       UP

Hallo,

Mittlererweile sind einige Jahre vergangen und die alten WBB Versionen werden schon lange offiziell nicht mehr supportet.
Da sich auch im Bereich PHP und MYSQL viel getan hat ist es nicht mehr ohne weiteres möglich mal eben unter einer aktuellen Serverkonfiguration ein WBB2/Lite1 zu installieren.

Es ist natürlich nachwievor möglich,
hier zwei Möglichkeiten:

1.Die Passende Software und Konfiguration wählen

> Gleich vorweg, einen passenden Webspace oder Server findet Ihr hier.

Das WBB läuft mit MYSQL 4.x oder 5.0 ohne Probleme.
Außerdem benötigst du PHP Version 4.x - 5.2 damit es läuft.

Installierst du diese Software zusammen mit einem Apache Webserver sollte sich das WBB Problemlos installieren lassen.
Mit wenig zusätzlichem Aufwand ist es außerdem möglich die aktuelle MYSQL Version 5.6 zu benutzen, dazu einfach die folgenden Änderungen vornehmen:

öffne dein Backup oder bei einer Neuinstallation die "acp/lib/structure.sql" und ersetze alle:

code:
1:
TYPE=MyISAM


durch

code:
1:
ENGINE=MyISAM


sowie alle

code:
1:
TYPE=HEAP


mit

code:
1:
ENGINE=MEMORY


Bitte beachte zusätzlich das die MYSQL Servereinstellungen Latin1 und nicht UTF8 lauten, den mit UTF8 funktioniert es ohne größere Anpassungen nicht.

Zitat:

character_set_client utf8
character_set_connection utf8
character_set_database latin1
character_set_filesystem binary
character_set_results utf8
character_set_server latin1
character_set_system utf8
character_sets_dir /usr/local/share/charsets/
collation_connection utf8_general_ci
collation_database latin1_swedish_ci
collation_server latin1_swedish_ci


funktioniert!

Außerdem darauf achten das in der php.ini Latin1 als default_charset eingestellt ist, das sollte aber normal - Standardmäßig - so sein.

2.Sich den modernen Standards anpassen

Es ist natürlich außerdem möglich das WBB2 und Lite1 aktuellen Serverkonfigurationen anzupassen, dazu findet ihr hier geniale Anleitungen:

Woltlab Burning Board 2.3.x PHP 5.3+ Patch
Woltlab Burning Board Lite 1.0.x PHP 5.3+ Patch

Diese werden übrigens bei Zeiten nochmal überarbeitet da sie glaube ich nicht mit PHP 7 kompatibel sind.

__________________
Lüge Zweckmäßige Übertreibung
05.12.16 23:35 S!equenz ist offline E-Mail Finden Als Freund hinzufügen
katze2ooo
Alternativ Mitglied


Dabei seit: 23.03.10
Beiträge: 154
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

 RE: WBB2 oder Lite1 installieren in 2017 Antworten Zitieren Editieren Melden       UP

Zitat:
Original von S!equenz
Hallo,

2.Sich den modernen Standards anpassen

...PHP Version 4.x - 5.2 damit es läuft.



ohne Worte.
08.12.16 07:32 katze2ooo ist offline Finden Als Freund hinzufügen
GuenniS
Mitglied


Dabei seit: 14.11.09
Beiträge: 156
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

 RE: WBB2 oder Lite1 installieren in 2017 Antworten Zitieren Editieren Melden       UP

Zitat:
Original von katze2ooo
Zitat:
Original von S!equenz
Hallo,

2.Sich den modernen Standards anpassen

...PHP Version 4.x - 5.2 damit es läuft.



ohne Worte.
geschockt

fröhlich
08.12.16 10:00 GuenniS ist offline WWW Finden Als Freund hinzufügen
S!equenz
Last Man Standing


Dabei seit: 10.07.12
Beiträge: 641
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

Themenstarter Thema begonnen von S!equenz
Antworten Zitieren Editieren Melden       UP

Sich den Modernen Standards anpassen heißt PHP 5.3 - PHP 5.5 benutzen, für die neuesten Versionen werde ich die Anleitungen 2017 noch anpassen.

Bitte richtig lesen, es sind zwei Möglichkeiten.
1x ohne Anpassungen und dann noch mit.

__________________
Lüge Zweckmäßige Übertreibung
08.12.16 14:54 S!equenz ist offline E-Mail Finden Als Freund hinzufügen
katze2ooo
Alternativ Mitglied


Dabei seit: 23.03.10
Beiträge: 154
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

Antworten Zitieren Editieren Melden       UP

Hi,

Your-WBB.de ist wieder Online - Bereit für 2017

Gruß
09.12.16 08:08 katze2ooo ist offline Finden Als Freund hinzufügen
Baumstruktur | Brettstruktur
Gehe zu:

Neues Thema erstellen Antwort erstellen

yourWBB » WoltLab Burning Board Generation 2 * » Tutorials WBB2 + WBB Lite1 » [WBB 2] WBB2 oder Lite1 installieren in 2017